Bug 19961 - Traceroute returns command not found error
Summary: Traceroute returns command not found error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: traceroute   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-28 18:42 UTC by Rocky Pope
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-28 19:00:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rocky Pope 2000-10-28 18:42:38 UTC
I cannot seem to get traceroute to run, as it returns a command not found
error message.  I have tried running it from /usr/sbin directory (logged in
as root), also with no success.

It does appear in the /usr/sbin directory though.

According to RPM, it is in fact installed.  The version number is 1.4a5,
release 23.

Any ideas?


Thanks,

Rocky Pope

Comment 1 Rocky Pope 2000-10-28 19:00:25 UTC
The Linux newbie I am, I did not try running traceroute as /usr/sbin/traceroute
www.anyplace.com.  When I ran the command that way, it ran.  If I manually
switched to /usr/sbin (cd /usr/sbin) and ran traceroute from that directory, it
did not run.

Comment 2 Ignacio Vazquez-Abrams 2000-10-30 21:43:15 UTC
For security reasons, the current directory is not automatically added to the
path. Changing to /usr/sbin and running ./traceroute would have worked as well.


Note You need to log in before you can comment on or make changes to this bug.